Subject: [PATCH v2] perf: xgene: Remove bogus IS_ERR() check

From: [email-masked] (Al Viro)
Date: Thu, 13 Oct 2016 19:18:37 +0100

On Thu, Oct 13, 2016 at 11:09:16AM -0700, Tai Nguyen wrote:
> In acpi_get_pmu_hw_inf we pass the address of a local variable to IS_ERR(),
> which doesn't make sense, as the pointer must be a real, valid pointer.
> This doesn't cause a functional problem, as IS_ERR() will evaluate as
> false, but the check is bogus and causes static checkers to complain.

... unless the test is actually a misspelled IS_ERR(res) and the current
code is broken by effectively skipping it.